(defun c:cec ( / circle now_osmode center radius x-start-point  x-end-point y-start-point  y-end-point )
  (setq circle (car (entsel "\nSelect a circle: ")))
  (setq now_osmode (getvar "osmode"))
  (setvar "osmode" 0) 
  (if (and circle (= (cdr (assoc 0 (entget circle))) "CIRCLE"))
    (progn
      (setq sca (getreal "\n축척을 입력하세요: ")
            center (cdr (assoc 10 (entget circle))) ; 원의 중심점 좌표 불러오기
            radius (cdr (assoc 40 (entget circle)))  ; 원의 반지름 정보 불러오기
            x-start-point (list (- (car center) (* radius sca)) (cadr center))
            x-end-point (list (+ (car center) (* radius sca)) (cadr center))
            y-start-point (list (car center) (- (cadr center) (* radius sca)))
            y-end-point (list (car center) (+ (cadr center) (* radius sca)))
      )

      (command "_LINE" x-start-point x-end-point "")
      (command "_LINE" y-start-point y-end-point "")
    )
    (prompt "\nPlease select a valid circle.")
  )
 (setvar "osmode" now_osmode) 
  (princ)
)